lev.gui

## Class LProgressBarFrame

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Frame
        - - javax.swing.JFrame
          - - lev.gui.LProgressBarFrame

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible, javax.swing.RootPaneContainer, javax.swing.WindowConstants, LProgressBarInterface

      public class LProgressBarFrame
      extends javax.swing.JFrame
      implements LProgressBarInterface

  A GUI window frame for LProgress bar. Used in SUMGUI.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.swing.JFrame

      `javax.swing.JFrame.AccessibleJFrame`

    - ### Nested classes/interfaces inherited from class java.awt.Frame

      `java.awt.Frame.AccessibleAWTFrame`

    - ### Nested classes/interfaces inherited from class java.awt.Window

      `java.awt.Window.AccessibleAWTWindow, java.awt.Window.Type`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected LImagePane` | `backgroundPanel`
    `protected LProgressBar` | `bar`
    `protected java.awt.Dimension` | `correctLocation`
    `protected javax.swing.JFrame` | `guiRef`
    `protected java.awt.Dimension` | `GUIsize`
    `protected LLabel` | `title`

    - ### Fields inherited from class javax.swing.JFrame

      `accessibleContext, EXIT_ON_CLOSE, rootPane, rootPaneCheckingEnabled`

    - ### Fields inherited from class java.awt.Frame

      `CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface javax.swing.WindowConstants

      `DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, HIDE_ON_CLOSE`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LProgressBarFrame(java.awt.Font header, java.awt.Color headerC, java.awt.Font footer, java.awt.Color footerC)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.awt.Component` | `add(java.awt.Component c)`
    `void` | `close()` Makes the progress bar invisible.
    `void` | `done()` Sets the current value to the max value (100%).
    `int` | `getBar()`
    `int` | `getMax()`
    `void` | `incrementBar()` Increments the progress bar one unit.
    `void` | `moveToCorrectLocation()` Moves the progress bar window to the relatively correct location, relative to the GUI ref object assigned.
    `void` | `open()` Opens and displays the progress bar frame.
    `void` | `open(javax.swing.event.ChangeListener c)` Opens and displays the progress bar frame, and adds a listener that will execute when the progress bar is done.
    `void` | `pause(boolean on)` Block the progress bar from updating.
    `boolean` | `paused()`
    `void` | `reset()` Resets the progress bar to zero of max.
    `void` | `setBar(int in)`
    `void` | `setCorrectLocation(int x, int y)` Sets the location to display relative to the GUI ref object assigned.
    `void` | `setExitOnClose()` Sets the progress bar to exit the program when it is closed.
    `void` | `setGUIref(javax.swing.JFrame ref)` Sets the GUI ref object for relative positioning.
    `void` | `setMax(int in)`
    `void` | `setMax(int max, java.lang.String reason)`
    `void` | `setStatus(java.lang.String input_)`
    `void` | `setStatusNumbered(int min, int max, java.lang.String status)` Updates the progress bar status text to display: ([cur]/[max]) [status]
    `void` | `setStatusNumbered(java.lang.String status)` Updates the progress bar status text to display the current step in the form of: ([cur]/[max]) [status]

    - ### Methods inherited from class javax.swing.JFrame

      `addImpl, createRootPane, frameInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setIconImage, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

    - ### Methods inherited from class java.awt.Frame

      `addNotify, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, remove, removeNotify, setBackground, setCursor, setExtendedState, setMaximizedBounds, setMenuBar, setOpacity, setResizable, setShape, setState, setTitle, setUndecorated`

    - ### Methods inherited from class java.awt.Window

      `addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBackground, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOpacity, getOwnedWindows, getOwner, getOwnerlessWindows, getShape, getToolkit, getType, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isAutoRequestFocus, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isOpaque, isShowing, isValidateRoot, pack, paint, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setAutoRequestFocus, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocation, setLocation, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setType, setVisible, show, toBack, toFront`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, revalidate, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.awt.MenuContainer

      `getFont, postEvent`

- - ### Field Detail

    - #### bar

          protected LProgressBar bar

    - #### title

          protected LLabel title

    - #### correctLocation

          protected java.awt.Dimension correctLocation

    - #### GUIsize

          protected java.awt.Dimension GUIsize

    - #### backgroundPanel

          protected LImagePane backgroundPanel

    - #### guiRef

          protected javax.swing.JFrame guiRef

  - ### Constructor Detail

    - #### LProgressBarFrame

          public LProgressBarFrame(java.awt.Font header,
                           java.awt.Color headerC,
                           java.awt.Font footer,
                           java.awt.Color footerC)

      Parameters:
        `header` -
        `headerC` -
        `footer` -
        `footerC` -

  - ### Method Detail

    - #### setExitOnClose

          public void setExitOnClose()

      Sets the progress bar to exit the program when it is closed.

    - #### setMax

          public void setMax(int max,
                    java.lang.String reason)

      Specified by:
        `setMax` in interface `LProgressBarInterface`
      Parameters:
        `max` - Value to set as the max unit value of the progress bar.
        `reason` - String to set as the status of the progress bar.

    - #### incrementBar

          public void incrementBar()

      Description copied from interface: `LProgressBarInterface`
      Increments the progress bar one unit.
      Specified by:
        `incrementBar` in interface `LProgressBarInterface`

    - #### setCorrectLocation

          public void setCorrectLocation(int x,
                                int y)

      Sets the location to display relative to the GUI ref object assigned.
      Parameters:
        `x` -
        `y` -

    - #### moveToCorrectLocation

          public final void moveToCorrectLocation()

      Moves the progress bar window to the relatively correct location, relative to the GUI ref object assigned.

    - #### setStatus

          public void setStatus(java.lang.String input_)

      Specified by:
        `setStatus` in interface `LProgressBarInterface`
      Parameters:
        `input_` - String to set as the status of the progress bar.

    - #### open

          public void open()

      Opens and displays the progress bar frame.

    - #### open

          public void open(javax.swing.event.ChangeListener c)

      Opens and displays the progress bar frame, and adds a listener that will execute when the progress bar is done.
      Parameters:
        `c` -

    - #### close

          public void close()

      Makes the progress bar invisible.

    - #### setGUIref

          public void setGUIref(javax.swing.JFrame ref)

      Sets the GUI ref object for relative positioning.
      Parameters:
        `ref` -

    - #### setMax

          public void setMax(int in)

      Specified by:
        `setMax` in interface `LProgressBarInterface`
      Parameters:
        `in` - Value to set as the max unit value of the progress bar.

    - #### reset

          public void reset()

      Description copied from interface: `LProgressBarInterface`
      Resets the progress bar to zero of max.
      Specified by:
        `reset` in interface `LProgressBarInterface`

    - #### setBar

          public void setBar(int in)

      Specified by:
        `setBar` in interface `LProgressBarInterface`
      Parameters:
        `in` - value to set the progress bar at.

    - #### getBar

          public int getBar()

      Specified by:
        `getBar` in interface `LProgressBarInterface`
      Returns:
        Current value of the bar

    - #### getMax

          public int getMax()

      Specified by:
        `getMax` in interface `LProgressBarInterface`
      Returns:
        Current max value of the bar

    - #### setStatusNumbered

          public void setStatusNumbered(int min,
                               int max,
                               java.lang.String status)

      Description copied from interface: `LProgressBarInterface`
      Updates the progress bar status text to display:
      ([cur]/[max]) [status]
      Specified by:
        `setStatusNumbered` in interface `LProgressBarInterface`

    - #### setStatusNumbered

          public void setStatusNumbered(java.lang.String status)

      Description copied from interface: `LProgressBarInterface`
      Updates the progress bar status text to display the current step in the form of:
      ([cur]/[max]) [status]
      Specified by:
        `setStatusNumbered` in interface `LProgressBarInterface`
      Parameters:
        `status` -

    - #### pause

          public void pause(boolean on)

      Description copied from interface: `LProgressBarInterface`
      Block the progress bar from updating.
      Specified by:
        `pause` in interface `LProgressBarInterface`

    - #### paused

          public boolean paused()

      Specified by:
        `paused` in interface `LProgressBarInterface`
      Returns:
        Whether the progress bar is accepting updates.

    - #### done

          public void done()

      Description copied from interface: `LProgressBarInterface`
      Sets the current value to the max value (100%).
      Specified by:
        `done` in interface `LProgressBarInterface`

    - #### add

          public java.awt.Component add(java.awt.Component c)

      Overrides:
        `add` in class `java.awt.Container`